/** ZCT/cmdan.c--Created 102406 **/
#include "zct.h"
#include "functions.h"
#include "globals.h"
#include "cmd.h"

COMMAND an_commands[] =
{
	{ 0, ".", NULL, 0, cmd_stats },
	{ 0, "bk", NULL, 0, cmd_null },
	{ 0, "display", NULL, 0, cmd_display },
	{ 0, "exit", NULL, 1, cmd_analyze_exit },
	{ 0, "hint", NULL, 0, cmd_null },
	{ 0, "new", NULL, 1, cmd_new },
	{ 0, "setboard", NULL, 1, cmd_setboard },
	{ 0, "undo", NULL, 1, cmd_undo },
	{ 0, NULL, NULL, 0, NULL }
};

/**
cmd_stats():
The "." command causes ZCT to print current search info during analysis.
Created 102406; last modified 061207
**/
void cmd_stats(void)
{
	sum_stats();
	print("stat01: %i %L 0 %i %i %M\n", time_used() / 10, nodes + q_nodes,
		root_move_count - (next_root_move - root_move_list) + 1, root_move_count, (next_root_move - 1)->move);
}

/**
cmd_analyze_exit():
The "exit" command causes ZCT to exit analysis mode.
Created 102406; last modified 102406
**/
void cmd_analyze_exit(void)
{
	engine_state = IDLE;
	if (protocol == ANALYSIS_X)
		protocol = XBOARD;
	else
		protocol = DEFAULT;
	initialize_cmds();
}
